
//-----------What i do----------//


.what{
    display: flex;

   &__images{
    background-image: url(../img/main-pic/what-i-do-bgd.jpg);
    width:100%;
    height: 1137px;
    background-size:cover ;
   }
    
    &__section{
        padding: 70px 0px 0px 111px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 100px;
       }
       &__title{
        color: #252525;
        font-size: 150px;
        font-weight: 300;
       }
    }
       .section-text{
           display: flex;
           gap: 40px;
           flex-direction: column;
           padding-right: 70px;
           &__fame-2{
            border-bottom: 1px solid #252525;
           }
           &__text-title{
            color: #000;
            font-size: 44px;
            font-weight: 600;
            line-height: 48px;
            margin-bottom: 10px;
           }
            &__text-title::before{
            content: '01 ';
            font-size: 44px;
            font-weight: 300;
            line-height: 48px;
            }
            &__text-title2{
                color: #000;
            font-size: 44px;
            font-weight: 600;
            line-height: 48px;
            margin-bottom: 10px;
            }
            &__text-title2::before{
            content: '02 ';
            font-size: 44px;
            font-weight: 300;
            line-height: 48px;
            }
            &__text-title3{
                color: #000;
            font-size: 44px;
            font-weight: 600;
            line-height: 48px;
            margin-bottom: 10px;
            }
            &__text-title3::before{
            content: '03 ';
            font-size: 44px;
            font-weight: 300;
            line-height: 48px;
            }
            &__text-title4{
                color: #000;
            font-size: 44px;
            font-weight: 600;
            line-height: 48px;
            margin-bottom: 10px;
            }
            &__text-title4::before{
            content: '04 ';
            font-size: 44px;
            font-weight: 300;
            line-height: 48px;
            }
            &__text-p{
            color: #000;
            font-family: Inter;
            font-size: 20px;
            font-weight: 400;
            line-height: 28px;
            margin-bottom: 40px;
         }
       }
    

       //-----------My clients----------//
       
    
       .clients{
        border-top: 1px solid #252525;
        padding: 50px 70px;
        text-align: center;
        &__title{
            color: #252525;
            font-size: 212px;
            font-weight: 300;
        }
    }


    .grid__box-1, .grid__box-2, .grid__box-4, .grid__box-5{
        border-right: 1px solid #000 ;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 30px;
        padding: 30px;
        justify-content: space-between;
       
    }
     
     .grid__box-4, .grid__box-5, .grid__box-6{
            border-top: 1px solid #000;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            gap: 30px;
            padding: 30px;
            justify-content: space-between;
           
    }


        .grid{
            display: grid;
            grid-template-rows: 1fr 1fr ;
            grid-template-columns: 1fr 1fr 1fr;
            padding: 0 70px 50px;
           
            
        &__title-box{
            color: #333;
            font-size: 40px;
            font-weight: 800;
        }
        &__text-box{
            color: #000;
            font-family: Inter;
            font-size: 20px;
            font-weight: 400;
        }
       
       &__box-3{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 30px;
        padding: 30px;
       }
       
        &__img-name{
            display: flex;
            gap: 20px;
        }
        &__img-box{
            border-radius: 50px;
            height: 70px;
            
            
        }
        &__name-post{
            display: flex;
            flex-direction: column;
            gap: 10px;
        }
        &__name-box{
            color: #000;
            font-family: Inter;
            font-size: 20px;
            font-weight: 600;
        }
        &__post-box{
            color: #000;
            font-family: Inter;
            font-size: 20px;
            font-weight: 400;
        }
    }



    //-----------Contact----------//
  
    .contact{
        padding: 50px 70px 100px ;
        display: flex;
        gap: 40px;
        border-top: 1px solid #252525;
       
        &__title{
            color: #333;
            font-size: 155px;
            font-weight: 300;
            text-transform: uppercase;
           
            
            
        }
        &__info{
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            gap: 30px;
        }
        &__subtitle{
            color: #252525;
            font-size: 64px;
            font-weight: 700;
        }
        &__text{
            color: #252525;
            font-size: 40px;
            font-weight: 500;
        }
        &__btn{
            color: #FFF;
            font-size: 17px;
            font-weight: 400;
            padding: 10px 30px;
            border-radius: 50px;
            background-color: #252525;
            text-transform: capitalize;
        }
       &__btn::after{
        content:'';
        display: inline-block;
        background-image: url(../img/main-pic/work-group.svg);
        width: 24px;
        height: 17px;
        position: relative;
         top: 3px;
        left: 10px;
       }
    }

    
        //---------Footer------------//

        .footer{
            border-top:1px solid #252525 ;
            padding: 25px 70px;
            display: flex;
            justify-content: space-between;
            &__text{
                color: #333;
                font-size: 18px;
                font-weight: 400;

            }
            &__decoration{
                color: #333;
                font-size: 18px;
                font-weight: 700;
            }
            &__text::before{
                content:'\000A9';
            }

            &__nav{
                display: flex;
                gap: 10px;
                justify-content: end;
            }
            &__soc {
                display: inline-block;
                width: 30px;
                height: 30px;
            }
            &__face {background-image: url(../img/main-pic/face-black.svg);}
            &__twit {background-image: url(../img/main-pic/twit-black.svg);}
            &__in {background-image: url(../img/main-pic/in-black.svg);}
            &__drib {background-image: url(../img/main-pic/drib-black.svg);}
        }
    
    
